Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.SuperRulesState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.SuperRulesState

Direct Known Subclasses:
  `RuleImpl.WithoutSuperRulesState`, `RuleImpl.WithSuperRulesState`

Enclosing class:
  `RuleImpl`

protected abstract class RuleImpl.SuperRulesState extends Object
Base class for code that depends on whether the rule has any `Rule.getESuperRules()`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SuperRulesState()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`compileIterables(ExecEnv env)`
Compiles a list or map of iterables for each input rule element.
`abstract boolean`
`match(StackFrame frame)`
Matches
invalid reference

    #getRule()

.
`abstract boolean`
`matchOne(StackFrame frame)`
Matches up to one match for
invalid reference

    #getRule()

.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SuperRulesState

protected SuperRulesState()

## Method Details

### match

public abstract boolean match(StackFrame frame)
Matches
invalid reference

    #getRule()

.

Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches

### matchOne

public abstract boolean matchOne(StackFrame frame)
Matches up to one match for
invalid reference

    #getRule()

.

Returns:
  `true` iff the rule has any matches

### compileIterables

public abstract void compileIterables(ExecEnv env)
Compiles a list or map of iterables for each input rule element.

Parameters:
  `env` - the execution environment with models